## attachment.php?attachmentid=11898&d=1281277476

=== monitord-rc1-modded/Makefile ===
# Makefile.in generated by automake 1.11 from Makefile.am.
# Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
# 2003, 2004, 2005, 2006, 2007, 2008, 2009  Free Software Foundation,
# Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.





pkgdatadir = $(datadir)/monitord
pkgincludedir = $(includedir)/monitord
pkglibdir = $(libdir)/monitord
pkglibexecdir = $(libexecdir)/monitord
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = i586-pc-linux-gnu
host_triplet = i586-pc-linux-gnu
target_triplet = i586-pc-linux-gnu
bin_PROGRAMS = monitord/monitord$(EXEEXT)
am__append_1 = \
	jthread-1.2.1/src/pthread/jmutex.cpp \
	jthread-1.2.1/src/pthread/jthread.cpp

am__append_2 = -lpthread
am__append_3 = \
	monitord/posix/MonitorAudioALSA.cpp

am__append_4 =  -lasound -lm -ldl -lpthread
#am__append_5 = \
#	monitord/posix/MonitorAudioOSS.cpp

#am__append_6 = \
#	jthread-1.2.1/src/win32/jmutex.cpp \
#	jthread-1.2.1/src/win32/jthread.cpp \
#	monitord/win32/MonitorAudioWin32.cpp \
#	monitord/win32/MonitorService.cpp

#am__append_7 = -I${PWD}
#am__append_8 = -lwinmm -lws2_32
#am__append_9 = -Wl,--subsystem,console -mconsole
am__append_10 = -frtti -DPLUGINS
am__append_11 = \
	monitord/PluginThread.cpp \
	monitord/plugins/mpluginAudio.cpp

am__append_12 = -fPIC -rdynamic
am__append_13 = -ldl
am__append_14 = \
	monitord/plugins/dll-elf.cpp

#am__append_15 = -DWIN32
#am__append_16 = -lkernel32 -lstdc++
#am__append_17 = \
#	monitord/plugins/dll-win32.cpp

# --------------------------------------------------------
# Monitor-Plugin: MySQL
#
#am__append_18 = \
#	monitord/plugins/libmplugin_mysql.la

#am__append_19 = \
#	${LIBMP3LAME}

#am__append_20 = \
#	-lm

subdir = .
DIST_COMMON = $(am__configure_deps) $(srcdir)/Makefile.am \
	$(srcdir)/Makefile.in $(srcdir)/config.h.in \
	$(top_srcdir)/configure \
	$(top_srcdir)/win32-nsis/monitor.nsi.in config.guess \
	config.sub depcomp install-sh ltmain.sh missing mkinstalldirs
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
 configure.lineno config.status.lineno
mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
CONFIG_HEADER = config.h
CONFIG_CLEAN_FILES = win32-nsis/monitor.nsi
CONFIG_CLEAN_VPATH_FILES =
am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
am__vpath_adj = case $$p in \
    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
    *) f=$$p;; \
  esac;
am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
am__install_max = 40
am__nobase_strip_setup = \
  srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
am__nobase_strip = \
  for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
am__nobase_list = $(am__nobase_strip_setup); \
  for p in $$list; do echo "$$p $$p"; done | \
  sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
  $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
    if (++n[$$2] == $(am__install_max)) \
      { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
    END { for (dir in files) print dir, files[dir] }'
am__base_list = \
  sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
  sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
am__installdirs = "$(DESTDIR)$(libdir)" "$(DESTDIR)$(bindir)"
LTLIBRARIES = $(lib_LTLIBRARIES)
monitord_plugins_libmplugin_audiorecorder_la_LIBADD =
am__monitord_plugins_libmplugin_audiorecorder_la_SOURCES_DIST =  \
	monitord/xmltools.cpp xmlParser/xmlParser.cpp \
	monitord/plugins/mplugin.cpp monitord/plugins/mpluginAudio.cpp \
	monitord/plugins/libmplugin_audiorecorder.cpp
am__dirstamp = $(am__leading_dot)dirstamp
am__objects_1 = monitord/monitord_plugins_libmplugin_audiorecorder_la-xmltools.lo \
	xmlParser/monitord_plugins_libmplugin_audiorecorder_la-xmlParser.lo
am_monitord_plugins_libmplugin_audiorecorder_la_OBJECTS =  \
	$(am__objects_1) \
	monitord/plugins/monitord_plugins_libmplugin_audiorecorder_la-mplugin.lo \
	monitord/plugins/monitord_plugins_libmplugin_audiorecorder_la-mpluginAudio.lo \
	monitord/plugins/monitord_plugins_libmplugin_audiorecorder_la-libmplugin_audiorecorder.lo
monitord_plugins_libmplugin_audiorecorder_la_OBJECTS =  \
	$(am_monitord_plugins_libmplugin_audiorecorder_la_OBJECTS)
monitord_plugins_libmplugin_audiorecorder_la_LINK = $(LIBTOOL) \
	--tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=link \
	$(CXXLD) $(AM_CXXFLAGS) $(CXXFLAGS) \
	$(monitord_plugins_libmplugin_audiorecorder_la_LDFLAGS) \
	$(LDFLAGS) -o $@
am_monitord_plugins_libmplugin_audiorecorder_la_rpath =  \
	-rpath $(libdir)
monitord_plugins_libmplugin_mysql_la_LIBADD =
am__monitord_plugins_libmplugin_mysql_la_SOURCES_DIST =  \
	monitord/xmltools.cpp xmlParser/xmlParser.cpp \
	monitord/plugins/mplugin.cpp \
	monitord/plugins/libmplugin_mysql.cpp
am__objects_2 = monitord/monitord_plugins_libmplugin_mysql_la-xmltools.lo \
	xmlParser/monitord_plugins_libmplugin_mysql_la-xmlParser.lo
#am_monitord_plugins_libmplugin_mysql_la_OBJECTS =  \
#	$(am__objects_2) \
#	monitord/plugins/monitord_plugins_libmplugin_mysql_la-mplugin.lo \
#	monitord/plugins/monitord_plugins_libmplugin_mysql_la-libmplugin_mysql.lo
monitord_plugins_libmplugin_mysql_la_OBJECTS =  \
	$(am_monitord_plugins_libmplugin_mysql_la_OBJECTS)
monitord_plugins_libmplugin_mysql_la_LINK = $(LIBTOOL) --tag=CXX \
	$(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=link $(CXXLD) \
	$(AM_CXXFLAGS) $(CXXFLAGS) \
	$(monitord_plugins_libmplugin_mysql_la_LDFLAGS) $(LDFLAGS) -o \
	$@
#am_monitord_plugins_libmplugin_mysql_la_rpath =  \
#	-rpath $(libdir)
PROGRAMS = $(bin_PROGRAMS)
am__monitord_monitord_SOURCES_DIST = monitord/Monitor.cpp \
	monitord/MonitorAudio.cpp monitord/MonitorConfiguration.cpp \
	monitord/MonitorModuleFMS.cpp monitord/MonitorModulePocsag.cpp \
	monitord/MonitorModulePocsag1200.cpp \
	monitord/MonitorModulePocsag512.cpp \
	monitord/MonitorModuleZVEI.cpp monitord/MonitorModules.cpp \
	monitord/MonitorModulesResults.cpp monitord/SndPipe.cpp \
	monitord/SocketServer.cpp monitord/SocketThreadMonitord.cpp \
	monitord/SocketThreadFMS32.cpp \
	monitord/SocketThreadCrusader.cpp monitord/memlock.cpp \
	monitord/xmltools.cpp monitord/MonitorSignals.cpp \
	xmlParser/xmlParser.cpp jthread-1.2.1/src/pthread/jmutex.cpp \
	jthread-1.2.1/src/pthread/jthread.cpp \
	monitord/posix/MonitorAudioALSA.cpp \
	monitord/posix/MonitorAudioOSS.cpp \
	jthread-1.2.1/src/win32/jmutex.cpp \
	jthread-1.2.1/src/win32/jthread.cpp \
	monitord/win32/MonitorAudioWin32.cpp \
	monitord/win32/MonitorService.cpp monitord/PluginThread.cpp \
	monitord/plugins/mpluginAudio.cpp monitord/plugins/dll-elf.cpp \
	monitord/plugins/dll-win32.cpp
am__objects_3 = jthread-1.2.1/src/pthread/monitord_monitord-jmutex.$(OBJEXT) \
	jthread-1.2.1/src/pthread/monitord_monitord-jthread.$(OBJEXT)
am__objects_4 = monitord/posix/monitord_monitord-MonitorAudioALSA.$(OBJEXT)
#am__objects_5 = monitord/posix/monitord_monitord-MonitorAudioOSS.$(OBJEXT)
#am__objects_6 = jthread-1.2.1/src/win32/monitord_monitord-jmutex.$(OBJEXT) \
#	jthread-1.2.1/src/win32/monitord_monitord-jthread.$(OBJEXT) \
#	monitord/win32/monitord_monitord-MonitorAudioWin32.$(OBJEXT) \
#	monitord/win32/monitord_monitord-MonitorService.$(OBJEXT)
am__objects_7 = monitord/monitord_monitord-PluginThread.$(OBJEXT) \
	monitord/plugins/monitord_monitord-mpluginAudio.$(OBJEXT)
am__objects_8 = monitord/plugins/monitord_monitord-dll-elf.$(OBJEXT)
#am__objects_9 = monitord/plugins/monitord_monitord-dll-win32.$(OBJEXT)
am_monitord_monitord_OBJECTS =  \
	monitord/monitord_monitord-Monitor.$(OBJEXT) \
	monitord/monitord_monitord-MonitorAudio.$(OBJEXT) \
	monitord/monitord_monitord-MonitorConfiguration.$(OBJEXT) \
	monitord/monitord_monitord-MonitorModuleFMS.$(OBJEXT) \
	monitord/monitord_monitord-MonitorModulePocsag.$(OBJEXT) \
	monitord/monitord_monitord-MonitorModulePocsag1200.$(OBJEXT) \
	monitord/monitord_monitord-MonitorModulePocsag512.$(OBJEXT) \
	monitord/monitord_monitord-MonitorModuleZVEI.$(OBJEXT) \
	monitord/monitord_monitord-MonitorModules.$(OBJEXT) \
	monitord/monitord_monitord-MonitorModulesResults.$(OBJEXT) \
	monitord/monitord_monitord-SndPipe.$(OBJEXT) \
	monitord/monitord_monitord-SocketServer.$(OBJEXT) \
	monitord/monitord_monitord-SocketThreadMonitord.$(OBJEXT) \
	monitord/monitord_monitord-SocketThreadFMS32.$(OBJEXT) \
	monitord/monitord_monitord-SocketThreadCrusader.$(OBJEXT) \
	monitord/monitord_monitord-memlock.$(OBJEXT) \
	monitord/monitord_monitord-xmltools.$(OBJEXT) \
	monitord/monitord_monitord-MonitorSignals.$(OBJEXT) \
	xmlParser/monitord_monitord-xmlParser.$(OBJEXT) \
	$(am__objects_3) $(am__objects_4) $(am__objects_5) \
	$(am__objects_6) $(am__objects_7) $(am__objects_8) \
	$(am__objects_9)
monitord_monitord_OBJECTS = $(am_monitord_monitord_OBJECTS)
am__DEPENDENCIES_1 =
monitord_monitord_DEPENDENCIES = $(am__DEPENDENCIES_1)
monitord_monitord_LINK = $(LIBTOOL) --tag=CXX $(AM_LIBTOOLFLAGS) \
	$(LIBTOOLFLAGS) --mode=link $(CXXLD) $(AM_CXXFLAGS) \
	$(CXXFLAGS) $(monitord_monitord_LDFLAGS) $(LDFLAGS) -o $@
DEFAULT_INCLUDES = -I.
depcomp = $(SHELL) $(top_srcdir)/depcomp
am__depfiles_maybe = depfiles
am__mv = mv -f
CXXCOMPILE = $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
	$(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS)
LTCXXCOMPILE = $(LIBTOOL) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
	--mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
	$(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS)
CXXLD = $(CXX)
CXXLINK = $(LIBTOOL) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
	--mode=link $(CXXLD) $(AM_CXXFLAGS) $(CXXFLAGS) $(AM_LDFLAGS) \
	$(LDFLAGS) -o $@
SOURCES = $(monitord_plugins_libmplugin_audiorecorder_la_SOURCES) \
	$(monitord_plugins_libmplugin_mysql_la_SOURCES) \
	$(monitord_monitord_SOURCES)
DIST_SOURCES = $(am__monitord_plugins_libmplugin_audiorecorder_la_SOURCES_DIST) \
	$(am__monitord_plugins_libmplugin_mysql_la_SOURCES_DIST) \
	$(am__monitord_monitord_SOURCES_DIST)
ETAGS = etags
CTAGS = ctags
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
distdir = $(PACKAGE)-$(VERSION)
top_distdir = $(distdir)
am__remove_distdir = \
  { test ! -d "$(distdir)" \
    || { find "$(distdir)" -type d ! -perm -200 -exec chmod u+w {} ';' \
         && rm -fr "$(distdir)"; }; }
DIST_ARCHIVES = $(distdir).tar.gz
GZIP_ENV = --best
distuninstallcheck_listfiles = find . -type f -print
distcleancheck_listfiles = find . -type f -print
ACLOCAL = ${SHELL} /etc/pocserv/monitord-rc1/missing --run aclocal-1.11
ALSA_CFLAGS = 
ALSA_LIBS =  -lasound -lm -ldl -lpthread
AMTAR = ${SHELL} /etc/pocserv/monitord-rc1/missing --run tar
AR = ar
AS = 
AUTOCONF = ${SHELL} /etc/pocserv/monitord-rc1/missing --run autoconf
AUTOHEADER = ${SHELL} /etc/pocserv/monitord-rc1/missing --run autoheader
AUTOMAKE = ${SHELL} /etc/pocserv/monitord-rc1/missing --run automake-1.11
AWK = mawk
CC = gcc
CCDEPMODE = depmode=gcc3
CFLAGS = -g -O2
CPP = gcc -E
CPPFLAGS = 
CXX = g++
CXXCPP = g++ -E
CXXDEPMODE = depmode=gcc3
CXXFLAGS = -g -O2
CYGPATH_W = echo
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
DLLTOOL = 
DSYMUTIL = 
DUMPBIN = 
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = /bin/grep -E
EXEEXT = 
FGREP = /bin/grep -F
GREP = /bin/grep

=== monitord-rc1-modded/simpleopt/Makefile ===
CC=g++
CFLAGS=-Wall
CPPFLAGS=-Wall

OBJS=fullSample.o basicSample.o globSample.o

all: $(OBJS)
	$(CC) -o globSample  globSample.o
	$(CC) -o basicSample basicSample.o
	$(CC) -o fullSample  fullSample.o

clean:
	rm -f core *.o fullSample basicSample globSample

globSample.o: SimpleOpt.h SimpleGlob.h
fullSample.o: SimpleOpt.h SimpleGlob.h
basicSample.o: SimpleOpt.h SimpleGlob.h

=== monitord-rc1-modded/lame-3.97/debian/changelog ===
lame (3.97-8) unstable; urgency=low

  * debian/rules: enable full optimization, now that it works with GCC 4.

 -- Rogério Brito <rbrito@users.sf.net>  Mon,  5 Sep 2005 01:24:44 -0300

lame (3.97-7) unstable; urgency=low

  * debian/control: make libmp3lame0 provide and replace liblame0.

 -- Rogério Brito <rbrito@users.sf.net>  Tue, 16 Aug 2005 04:36:46 -0300

lame (3.97-6) unstable; urgency=low

  * debian/control: make libmp3lame0 provide liblame0 for legacy apps;
  * debian/control: fix typo in description of libmp3lame0-dev;
  * debian/libmp3lame0-dev.files: don't ship shared libraries.

 -- Rogério Brito <rbrito@users.sf.net>  Tue, 16 Aug 2005 04:03:42 -0300

lame (3.97-5) unstable; urgency=low

  * debian/control: fix use of SONAME in the package;
  * debian/liblame0.*: renamed to libmp3lame0.* as per above;
  * debian/liblame-dev: idem;
  * debian/rules: incorporate some changes by Christian Marillat.

 -- Rogério Brito <rbrito@users.sf.net>  Mon, 15 Aug 2005 00:47:25 -0300

lame (3.97-4) unstable; urgency=low

  * debian/control: exclude libsndfile0-dev as a build dependency.
  * debian/control: include libgtk1.2-dev as a build dependency.
  * debian/rules: s/--with-fileio=sndfile/--with-fileio=lame/, since
    grabbing input from stdin is a very important feature.

 -- Rogério Brito <rbrito@users.sf.net>  Fri,  5 Aug 2005 02:01:40 -0300

lame (3.97-3) unstable; urgency=low

  * doc/man/lame.1: document the --{un,}signed options.
  * doc/man/lame.1: document the --{big,little}-endian options.
  * debian/control: include libsndfile0-dev as a build dependency.
  * debian/rules: s/--with-fileio=lame/--with-fileio=sndfile/ .
	
 -- Rogério Brito <rbrito@users.sf.net>  Wed,  3 Aug 2005 21:35:17 -0300

lame (3.97-2) unstable; urgency=low

  * debian/rules: use dh_installman instead of dh_installmanpages.
  * doc/man/lame.1: escape minus signals with backslash.
	
 -- Rogério Brito <rbrito@users.sf.net>  Wed, 27 Jul 2005 04:58:39 -0300

lame (3.97-1) unstable; urgency=low

  * Preparation for the beta release of lame 3.97.
  * Still more improvements to come.

 -- Rogério Brito <rbrito@users.sf.net>  Tue, 26 Jul 2005 18:16:34 -0300

lame (3.97-0.2) unstable; urgency=low

  * Fixed debian/control according to the Debian Library Packaging Guide

 -- Jack Bates <ms419@freezone.co.uk>  Thu, 12 May 2005 13:41:28 -0700

lame (3.97-0.1) unstable; urgency=low

  * Preparation for new upstream release.
  * debian/control: modified short descriptions to be lower case.

 -- Rogério Brito <rbrito@users.sf.net>  Fri, 18 Mar 2005 01:18:42 -0300

lame (3.96-0.1) unstable; urgency=low
 
  * Update debian packaging for lame 3.96
 
 -- Geoffrey T. Dairiki <dairiki@dairiki.org>  Fri, 9 Apr 2004 10:28:12 -0700

lame (3.94-0.1) unstable; urgency=low

  * Update packaging for lame 3.94 alpha 14;
  * Made progress to make the package as lintian-clean as possible:
  * debian/copyright: removed the traces of the skeleton file;
  * debian/rules: avoid using --host, as per warning of ./configure;
  * debian/rules: use trick to avoind generating a library with rpath;
  * debian/lame.docs: avoid generating duplicate html documentation;
  * debian/control: added dependency on debhelper >= 3;
  * still more work left, but progressing anyway (i.e., changes listed in
    /usr/share/doc/debian-policy/upgrading-checklist.txt.gz should be
    applied).

 -- Rogério Brito <rbrito@users.sf.net>  Tue, 15 Jul 2003 19:30:42 -0300

lame (3.93-0.1) unstable; urgency=low

  * Prevent lame 3.93 shipping and still building a 3.92 debian package;
  * Use --enable-nasm, as is shouldn't break compilation on non-x86;
  * Use --enable-expopt, to get a bit more of speed.

 -- Rogério Brito <rbrito@users.sf.net>  Sun, 25 Aug 2002 18:58:16 -0300

lame (3.92-1) unstable; urgency=low

  * New upstream release.
  * Closes: #578135.

 -- Rogério Brito <linuxsup@ig.com.br>  Sun, 28 Jul 2002 03:08:04 -0300

lame (3.91-1) unstable; urgency=low

  * New upstream release.

 -- Rogerio Brito <linuxsup@ig.com.br>  Sun, 20 Jan 2002 20:50:19 -0200

lame (3.90.1-0) unstable; urgency=low

  * New upstream release.
  * debian/control: nasm is only a build-dependency on x86;
  * debian/control: added debhelper to build-dependency list;
  * debian/control: changed description of the binary packages;
  * debian/rules: enabled experimental/agressive optimizations;
  * debian/rules: effectively spread the installed files in binary packages;
  * debian/rules: now dh_makeshlibs creates good postinst and prerm scripts;
  * Changed the lame-dev package to liblame0-dev;
  * Removed references to lame-extras, since it doesn't exist anymore;
  * Added LICENCE to copyright and excluded it from the binary package;
  * Removed INSTALL from the binary package;
  * lame is now almost lintian clean (the only problem remaining is
    an rpath in liblame build process).

 -- Rogerio Brito <linuxsup@ig.com.br>  Fri, 28 Dec 2001 04:08:57 -0200

lame (3.90-1) unstable; urgency=low

  * New upstream release.

 -- Viral <viral@debian.org>  Tue, 21 Aug 2001 13:50:14 +0530

lame (3.89-1) unstable; urgency=low

  * New upstream version.
  * Added --host=$$(dpkg-architecture -qDEB_HOST_GNU_TYPE) to configure.
  * Added liblame0 package.
  * Added doc-base entry.
  * Actual ChangeLog is installed now instead of history.html
  
 -- Viral <viral@debian.org>  Sun, 22 Jul 2001 03:07:30 +0530

lame (3.88-0) unstable; urgency=low

  * Updated debian/ directory to use configure.

 -- Ingo Saitz <Ingo.Saitz@stud.uni-hannover.de>  Mon, 11 Dec 2000 08:43:26 +0100

lame (3.86-1) unstable; urgency=low

  * Initial Release.

 -- Stefan Karrmann <S.Karrmann@gmx.net>  Thu, 31 Aug 2000 22:15:07 +0200

Local variables:
mode: debian-changelog
End:

=== monitord-rc1-modded/lame-3.97/debian/control ===
Source: lame
Section: sound
Priority: optional
Maintainer: Rogério Brito <rbrito@users.sf.net>
Build-Depends: debhelper (>= 4), libgtk1.2-dev, libncurses5-dev, nasm [i386]
Standards-Version: 3.5.6

Package: lame
Architecture: any
Depends: ${shlibs:Depends}
Description: open source MP3 encoder
 Lame is a program which can be used to create compressed
 audio files. (Lame aint MP3 encoder). These audio files
 can be played back by popular mp3 players such as mpg123.
 To read from stdin, use "-" for <infile>. To write to
 stdout, use a "-" for <outfile>.
 .
 This package contains the frontend encoder binary almost all
 options (such as frame analyzer and decoder) enabled.

Package: libmp3lame0
Architecture: any
Section: libs
Depends: ${shlibs:Depends}
Provides: liblame0
Replaces: liblame0
Description: shared libraries for MP3 encoding
 Lame is a program which can be used to create compressed
 audio files. (Lame aint MP3 encoder). These audio files
 can be played back by popular mp3 players such as mpg123.
 To read from stdin, use "-" for <infile>. To write to
 stdout, use a "-" for <outfile>.
 .
 This package contains the dynamic library.

Package: libmp3lame0-dev
Architecture: any
Section: libdevel
Depends: libmp3lame0 (= ${Source-Version}), libc6-dev
Provides: libmp3lame-dev
Conflicts: libmp3lame-dev
Description: development files for lame
 Lame is a program which can be used to create compressed
 audio files. (Lame aint MP3 encoder). These audio files
 can be played back by popular mp3 players such as mpg123.
 To read from stdin, use "-" for <infile>. To write to
 stdout, use a "-" for <outfile>.
 .
 This package contains the static library and header files
 for development with lame.

=== monitord-rc1-modded/lame-3.97/debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DHVERBOSE=1

# This is the debhelper compatibility version to use.
export DH_COMPAT=4

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.
	CFLAGS="$(CFLAGS)" ./configure \
		--prefix=/usr \
		--mandir=/usr/share/man \
		--with-fileio=lame \
		--without-vorbis \
		--enable-decode-layer1 \
		--enable-mp3x \
		--enable-mp3rtp \
		--enable-nasm \
		--with-pic \
		--enable-expopt=full

   # Patch the generated libtool to avoid passing -rpath when linking,
   # and to explicitly link libraries against the libraries they depend
   # on. (thanks Richard Braakman <dark@xs4all.nl>). Taken from:
   # http://lists.debian.org/debian-devel/2002/debian-devel-200207/msg01792.html
	sed < libtool > libtool-2 \
		-e 's/^\(hardcode_libdir_flag_spec\).*$$/\1=" -D__LIBTOOL_IS_A_FOOL__ "/' \
		-e '/^archive_cmds="/s/"$$/ \\$$deplibs"/'
	mv libtool-2 libtool
	chmod 755 libtool

	touch configure-stamp

build: configure-stamp build-stamp
build-stamp:
	dh_testdir

        # Add here commands to compile the package.
	$(MAKE)

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	# Parts of this taken from Christian Marillat's packaging.
	[ ! -f Makefile ] || $(MAKE) distclean
	dh_clean confcache libmp3lame/i386/choose_table.nas.lst \
	libmp3lame/i386/cpu_feat.nas.lst libmp3lame/i386/scalar.nas.lst

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/tmp.
	$(MAKE) DESTDIR=`pwd`/debian/tmp install


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_movefiles
	dh_installdocs
	dh_installman -Nlibmp3lame0 -Nlibmp3lame0-dev
	dh_installchangelogs ChangeLog
	dh_strip
	dh_compress
	dh_fixperms
	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install
